Bug 9996 - backspace and delete cause control characters in various console apps
Summary: backspace and delete cause control characters in various console apps
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-05 23:22 UTC by David Lawrence
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-06 14:56:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2000-03-05 23:22:24 UTC
apps such as ncftp, fdisk when hitting the backspace and delete prints
control characters to the screen instead of proper behaviour. Setting
gnome-terminal preferences to swap the backspace/del key fixes this
problem. This should be the default behaviour. This is present in the
latest build.

Comment 1 Preston Brown 2000-03-06 14:56:59 UTC
fdisk does not link termcap or terminfo, so not surprising it doesn't understand
many keypresses.

ncftp doesn't appear to use termcap or terminfo either.

gnome-core-1.0.55-10 and later have backspace/delete swapped by default for
gnome-terminals, as far as my testing shows.


Note You need to log in before you can comment on or make changes to this bug.